Sitecore Experience Commerce compatibility

  • The following table displays the compatibility of Sitecore Experience Commerce with different browsers, operating systems, .NET frameworks, and database servers:

    SXC 9.0 SXC 9.0.1 SXC 9.0.2 SXC 9.0.3 SXC 9.1 SXC 9.2
    Client Browser
    Microsoft Edge [1] [1]
    Internet Explorer 11 [1] [1] [1]
    Internet Explorer 10 - - - - - -
    Internet Explorer 9 - - - - - -
    Mozilla Firefox
    Google Chrome
    Apple Safari [1] [1]
    Operating System
    Window Server 2019 (GA) - - - - -
    Windows Server 2016
    Windows Server 2012 R2 - - - - - -
    Windows Server 2012 - - - - - -
    Windows 10
    Windows 8.1 - -
    Windows 8 - - - - - -
    .NET Framework
    .NET 4.7.2 - - - - -
    .NET 4.7.1 - - - -
    .NET 4.7 - -
    .NET 4.6.2 - -
    .NET 4.6.1 - - - - - -
    ASP.NET MVC
    ASP.NET MVC 5.2
    ASP.NET MVC 5.1 - - - - - -
    ASP.NET Core
    ASP.NET Core 2.1 - - - -
    ASP.NET Core 2.0 - -
    Database Server
    MS Azure SQL
    MS SQL 2017 - - - -
    MS SQL 2016 SP2 - - - -
    MS SQL 2016 SP1 - -
    MS SQL 2012 - - - - - -
    MongoDB 3.6.4 - - - - - -
    Windows PowerShell
    PowerShell 5.1 or later
    Search provider
    Lucene - - - - - -
    Solr 7.5.0 - - - - -
    Solr 7.2.1 - - - -
    Solr 6.6.2 - -
    SolrCloud - - -
    Azure Search
    Caching
    Redis 3.2.7 - Cloud Azure - - - - -
    Redis 3.0.504 - On-Prem - - - - -
    Newtonsoft Json.NET
    Newtonsoft Json.Net 11.0.2 - - - - -
    OData
    OData 6.19.0 - - - - -

    Legend: "-" – not supported; "✓" – supported.

  • The following table shows Sitecore XP and modules compatibility with different versions of Sitecore Experience Commerce:

    SXC 9.0 SXC 9.1 SXC 9.2
    Initial Upd-1 Upd-2 Upd-3 Initial Initial
    Sitecore XP
    XP 9.0 Initial - - - - - -
    Upd-1 - - - -
    Upd-2 - - - -
    XP 9.1 Initial - - - - - -
    Upd-1 - - - - -
    XP 9.2 Initial - - - - -
    Sitecore Experience Accelerator
    SXA 1.6 - - - -
    SXA 1.7.1 - - - - -
    SXA 1.8 - - - - -
    SXA 1.8.1 - - - - -
    SXA 1.9 - - - - -
    Sitecore PowerShell Extensions
    SPE 4.7.0 - - - - - -
    SPE 4.7.2 -
    SPE 5.0 for 9.2 - - - - -

    Legend: "-" – not supported; "✓" – supported.

    • [1] Not compatible with SXA Storefront.
February 21, 2018
August 10, 2019

Keywords: 

  • Experience Commerce